RegistryKey (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.win32
Class RegistryKey

    java.lang.Object
      org.hyperic.sigar.win32.Win32
          org.hyperic.sigar.win32.RegistryKey

    public class RegistryKey

extends Win32

Field Summary
`static RegistryKey` | `ClassesRoot` HKEY_CLASSES_ROOT
`static RegistryKey` | `CurrentUser` HKEY_CURRENT_USER
`static RegistryKey` | `LocalMachine` HKEY_LOCAL_MACHINE

Fields inherited from class org.hyperic.sigar.win32.Win32
`EXE_EXT`

Method Summary
`void` | `close()`
`RegistryKey` | `createSubKey(java.lang.String subkey)`
`RegistryKey` | `createSubKey(java.lang.String subkey, int value)`
`RegistryKey` | `createSubKey(java.lang.String subkey, java.lang.String value)`
`void` | `deleteSubKey(java.lang.String subkey)`
`void` | `deleteSubKeyTree(java.lang.String subkey)`
`void` | `deleteValue(java.lang.String name)`
`protected void` | `finalize()`
`void` | `flush()`
`int` | `getIntValue(java.lang.String name)`
`int` | `getIntValue(java.lang.String name, int defaultValue)`
`void` | `getMultiStringValue(java.lang.String name, java.util.List values)`
`java.lang.String` | `getStringValue(java.lang.String name)`
`java.lang.String` | `getStringValue(java.lang.String name, java.lang.String defaultValue)`
`java.lang.String` | `getSubKeyName()`
`java.lang.String[]` | `getSubKeyNames()`
`java.lang.String[]` | `getValueNames()`
`RegistryKey` | `openSubKey(java.lang.String subkey)`
`void` | `setIntValue(java.lang.String name, int value)`
`void` | `setStringValue(java.lang.String name, java.lang.String value)`

Methods inherited from class org.hyperic.sigar.win32.Win32
`findExecutable, findScriptExecutable, getFileVersion, main`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ClassesRoot

    public static final RegistryKey ClassesRoot

  HKEY_CLASSES_ROOT

### CurrentUser

    public static final RegistryKey CurrentUser

  HKEY_CURRENT_USER

### LocalMachine

    public static final RegistryKey LocalMachine

  HKEY_LOCAL_MACHINE

Method Detail

### close

    public void close()

### createSubKey

    public RegistryKey createSubKey(java.lang.String subkey)

### getSubKeyName

    public java.lang.String getSubKeyName()

### createSubKey

    public RegistryKey createSubKey(java.lang.String subkey,
                                    java.lang.String value)
                             throws Win32Exception

  Throws:
    `Win32Exception`

### createSubKey

    public RegistryKey createSubKey(java.lang.String subkey,
                                    int value)
                             throws Win32Exception

  Throws:
    `Win32Exception`

### deleteSubKey

    public void deleteSubKey(java.lang.String subkey)

### deleteSubKeyTree

    public void deleteSubKeyTree(java.lang.String subkey)

### deleteValue

    public void deleteValue(java.lang.String name)

### flush

    public void flush()

### getIntValue

    public int getIntValue(java.lang.String name)
                    throws Win32Exception

  Throws:
    `Win32Exception`

### getIntValue

    public int getIntValue(java.lang.String name,
                           int defaultValue)

### getStringValue

    public java.lang.String getStringValue(java.lang.String name)
                                    throws Win32Exception

  Throws:
    `Win32Exception`

### getMultiStringValue

    public void getMultiStringValue(java.lang.String name,
                                    java.util.List values)
                             throws Win32Exception

  Throws:
    `Win32Exception`

### getStringValue

    public java.lang.String getStringValue(java.lang.String name,
                                           java.lang.String defaultValue)

### getSubKeyNames

    public java.lang.String[] getSubKeyNames()

### getValueNames

    public java.lang.String[] getValueNames()

### openSubKey

    public RegistryKey openSubKey(java.lang.String subkey)
                           throws Win32Exception

  Throws:
    `Win32Exception`

### setIntValue

    public void setIntValue(java.lang.String name,
                            int value)
                     throws Win32Exception

  Throws:
    `Win32Exception`

### setStringValue

    public void setStringValue(java.lang.String name,
                               java.lang.String value)
                        throws Win32Exception

  Throws:
    `Win32Exception`

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.